> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tables



## OpenAPI

````yaml get /v1/tables
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/tables:
    get:
      tags:
        - V1 - Tables
      summary: List Tables
      operationId: list_tables
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/TableWithCount'
                type: array
                title: Response List Tables
      security:
        - APIKeyHeader: []
components:
  schemas:
    TableWithCount:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        group_id:
          type: string
          format: uuid
          title: Group Id
        name:
          type: string
          title: Name
        sql_name:
          type: string
          title: Sql Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        id_type:
          type: string
          enum:
            - uuid
            - autoincrement
          title: Id Type
        columns:
          items:
            $ref: '#/components/schemas/DataTableColumn'
          type: array
          title: Columns
        meta:
          additionalProperties: true
          type: object
          title: Meta
        source:
          type: string
          enum:
            - custom
            - platform
          title: Source
          default: custom
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        row_count:
          type: integer
          title: Row Count
      type: object
      required:
        - id
        - group_id
        - name
        - sql_name
        - description
        - id_type
        - columns
        - meta
        - created_at
        - updated_at
        - row_count
      title: TableWithCount
    DataTableColumn:
      properties:
        name:
          type: string
          title: Name
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
        type:
          type: string
          enum:
            - string
            - number
            - boolean
            - datetime
            - file
            - reference
          title: Type
        default:
          anyOf:
            - type: string
            - type: integer
            - type: number
            - type: boolean
            - type: 'null'
          title: Default
        references:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: References
        on_delete:
          type: string
          enum:
            - restrict
            - cascade
            - set_null
          title: On Delete
          default: restrict
      type: object
      required:
        - name
        - type
      title: DataTableColumn
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````